HttpVersion (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.HttpVersion class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class HttpVersion

    java.lang.Object
      org.apache.commons.httpclient.HttpVersion

All Implemented Interfaces:
  Comparable

    public class HttpVersion

extends Object
implements Comparable

HTTP version, as specified in RFC 2616.

HTTP uses a "<major>.<minor>" numbering scheme to indicate versions of the protocol. The protocol versioning policy is intended to allow the sender to indicate the format of a message and its capacity for understanding further HTTP communication, rather than the features obtained via that communication. No change is made to the version number for the addition of message components which do not affect communication behavior or which only add to extensible field values. The <minor> number is incremented when the changes made to the protocol add features which do not change the general message parsing algorithm, but which may add to the message semantics and imply additional capabilities of the sender. The <major> number is incremented when the format of a message within the protocol is changed. See RFC 2145 [36] for a fuller explanation.

The version of an HTTP message is indicated by an HTTP-Version field in the first line of the message.

         HTTP-Version   = "HTTP" "/" 1*DIGIT "." 1*DIGIT

Note that the major and minor numbers MUST be treated as separate integers and that each MAY be incremented higher than a single digit. Thus, HTTP/2.4 is a lower version than HTTP/2.13, which in turn is lower than HTTP/12.3. Leading zeros MUST be ignored by recipients and MUST NOT be sent.

Since:
  3.0
Version:
  $Revision: 480424 $ $Date: 2006-11-29 06:56:49 +0100 (Wed, 29 Nov 2006) $
Author:
  Oleg Kalnichevski

Field Summary
`static HttpVersion` | `HTTP_0_9` HTTP protocol version 0.9
`static HttpVersion` | `HTTP_1_0` HTTP protocol version 1.0
`static HttpVersion` | `HTTP_1_1` HTTP protocol version 1.1

Constructor Summary
`HttpVersion(int major, int minor)` Create an HTTP protocol version designator.

Method Summary
`int` | `compareTo(HttpVersion anotherVer)` Compares this HTTP protocol version with another one.
`int` | `compareTo(Object o)`
`boolean` | `equals(HttpVersion version)` Test if the HTTP protocol version is equal to the given number.
`boolean` | `equals(Object obj)`
`int` | `getMajor()` Returns the major version number of the HTTP protocol.
`int` | `getMinor()` Returns the minor version number of the HTTP protocol.
`boolean` | `greaterEquals(HttpVersion version)` Test if the HTTP protocol version is greater or equal to the given number.
`int` | `hashCode()`
`boolean` | `lessEquals(HttpVersion version)` Test if the HTTP protocol version is less or equal to the given number.
`static HttpVersion` | `parse(String s)` Parses the textual representation of the given HTTP protocol version.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### HTTP_0_9

    public static final HttpVersion HTTP_0_9

  HTTP protocol version 0.9

### HTTP_1_0

    public static final HttpVersion HTTP_1_0

  HTTP protocol version 1.0

### HTTP_1_1

    public static final HttpVersion HTTP_1_1

  HTTP protocol version 1.1

Constructor Detail

### HttpVersion

    public HttpVersion(int major,
                       int minor)

  Create an HTTP protocol version designator.

  Parameters:
    `major` - the major version number of the HTTP protocol
    `minor` - the minor version number of the HTTP protocol
  Throws:
    `IllegalArgumentException` - if either major or minor version number is negative

Method Detail

### getMajor

    public int getMajor()

  Returns the major version number of the HTTP protocol.

  Returns:
    the major version number.

### getMinor

    public int getMinor()

  Returns the minor version number of the HTTP protocol.

  Returns:
    the minor version number.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### compareTo

    public int compareTo(HttpVersion anotherVer)

  Compares this HTTP protocol version with another one.

  Parameters:
    `anotherVer` - the version to be compared with.
  Returns:
    a negative integer, zero, or a positive integer as this version is less than, equal to, or greater than the specified version.

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

### equals

    public boolean equals(HttpVersion version)

  Test if the HTTP protocol version is equal to the given number.

  Returns:
    `true` if HTTP protocol version is given to the given number, `false` otherwise.

### greaterEquals

    public boolean greaterEquals(HttpVersion version)

  Test if the HTTP protocol version is greater or equal to the given number.

  Returns:
    `true` if HTTP protocol version is greater or equal given to the given number, `false` otherwise.

### lessEquals

    public boolean lessEquals(HttpVersion version)

  Test if the HTTP protocol version is less or equal to the given number.

  Returns:
    `true` if HTTP protocol version is less or equal to given to the given number, `false` otherwise.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### parse

    public static HttpVersion parse(String s)
                             throws ProtocolException

  Parses the textual representation of the given HTTP protocol version.

  Returns:
    HTTP protocol version.
  Throws:
    `ProtocolException` - if the string is not a valid HTTP protocol version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.